net.sourceforge.pmd.lang.jsp.ast

## Class AbstractJspNode

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.AbstractNode
  - - net.sourceforge.pmd.lang.jsp.ast.AbstractJspNode

- All Implemented Interfaces:
    Node, JspNode
  Direct Known Subclasses:
    ASTAttribute, ASTAttributeValue, ASTCData, ASTCommentTag, ASTCompilationUnit, ASTContent, ASTDeclaration, ASTDoctypeDeclaration, ASTDoctypeExternalId, ASTElement, ASTElExpression, ASTHtmlScript, ASTJspComment, ASTJspDeclaration, ASTJspDeclarations, ASTJspDirective, ASTJspDirectiveAttribute, ASTJspDocument, ASTJspExpression, ASTJspExpressionInAttribute, ASTJspScriptlet, ASTText, ASTUnparsedText, ASTValueBinding

      public class AbstractJspNode
      extends AbstractNode
      implements JspNode

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JspParser` | `parser`

    - ### Fields inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

      `beginColumn, beginLine, children, endColumn, endLine, id, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractJspNode(int id)`
    `AbstractJspNode(JspParser parser, int id)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `childrenAccept(JspParserVisitor visitor, Object data)` Accept the visitor
    `Object` | `jjtAccept(JspParserVisitor visitor, Object data)` Accept the visitor
    `void` | `jjtClose()` This method is called after all the child nodes have been added.
    `void` | `jjtOpen()` This method is called after the node has been made the current node.
    `String` | `toString()` Subclasses should implement this method to return a name usable with XPathRule for evaluating Element Names.

    - ### Methods inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

      `appendElement, findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDecendantOfAnyType, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, isSingleLine, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData, testingOnly__setBeginColumn, testingOnly__setBeginLine, testingOnly__setEndColumn, testingOnly__setEndLine`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.sourceforge.pmd.lang.ast.Node

      `findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData`

- - ### Field Detail

    - #### parser

          protected JspParser parser

  - ### Constructor Detail

    - #### AbstractJspNode

          public AbstractJspNode(int id)

    - #### AbstractJspNode

          public AbstractJspNode(JspParser parser,
                         int id)

  - ### Method Detail

    - #### jjtOpen

          public void jjtOpen()

      Description copied from interface: `Node`
      This method is called after the node has been made the current node. It indicates that child nodes can now be added to it.
      Specified by:
        `jjtOpen` in interface `Node`
      Overrides:
        `jjtOpen` in class `AbstractNode`

    - #### jjtClose

          public void jjtClose()

      Description copied from interface: `Node`
      This method is called after all the child nodes have been added.
      Specified by:
        `jjtClose` in interface `Node`
      Overrides:
        `jjtClose` in class `AbstractNode`

    - #### jjtAccept

          public Object jjtAccept(JspParserVisitor visitor,
                         Object data)

      Accept the visitor. *
      Specified by:
        `jjtAccept` in interface `JspNode`

    - #### childrenAccept

          public Object childrenAccept(JspParserVisitor visitor,
                              Object data)

      Accept the visitor. *
      Specified by:
        `childrenAccept` in interface `JspNode`

    - #### toString

          public String toString()

      Description copied from class: `AbstractNode`
      Subclasses should implement this method to return a name usable with XPathRule for evaluating Element Names.
      Specified by:
        `toString` in class `AbstractNode`

Copyright © 2002-2013 InfoEther. All Rights Reserved.